//this file allows to re-configure default functions of MIOS32
//available switches are listed in $MIOS32_PATH/modules/mios32/MIOS32_CONFIG.txt

#ifndef _MIOS32_CONFIG_H
#define _MIOS32_CONFIG_H

// map MIDI mutex to BLM_SCALAR master
// located in tasks.c to access MIDI IN/OUT mutex from external
extern void TASKS_MUTEX_MIDIOUT_Take(void);
extern void TASKS_MUTEX_MIDIOUT_Give(void);
#define BLM_SCALAR_MASTER_MUTEX_MIDIOUT_TAKE { TASKS_MUTEX_MIDIOUT_Take(); }
#define BLM_SCALAR_MASTER_MUTEX_MIDIOUT_GIVE { TASKS_MUTEX_MIDIOUT_Give(); }

#define MIOS32_USE_MIDI
#define MIOS32_USE_UART
#define MIOS32_USE_UART_MIDI
#define MIOS32_UART_NUM 4
#define MIOS32_UART0_ASSIGNMENT 1 //1=Midi, 0= Disabled, 2= COM
#define MIOS32_UART1_ASSIGNMENT 1
#define MIOS32_UART2_ASSIGNMENT 1
#define MIOS32_UART3_ASSIGNMENT 1

//#define MIOS32_DONT_SERVICE_AIN 1

#define MIOS32_DONT_USE_MF 1
//#define MIOS32_DONT_USE_AIN 1
#define MIOS32_DONT_USE_IIC_BS 1
#define MIOS32_DONT_USE_OSC 1
#define MIOS32_DONT_USE_COM 1
#define MIOS32_DONT_USE_LCD 1


// AIN Activate J5A
#define MIOS32_AIN_CHANNEL_MASK 0x00ff

// AIN define the deadband (min. difference to report a change to the application hook)
#define MIOS32_AIN_DEADBAND 31 //7Bit
#endif /* _MIOS32_CONFIG_H */
